Browser Update Notice April 2013

Last Updated: 04/18/2013

Security Notice Level

SEVERE

Mozilla, Google, and Safari have released updated versions of their respective browsers. Vulnerabilities addressed include execution of arbitrary code, denial-of-service conditions, bypassing security restrictions, operating with escalated privileges, and more.

The IT Security office advises owners of the affected browsers to restart their browser or follow update instructions to facilitate updating.

Affected Software:

  • Versions of Firefox prior to version 20.0.1
  • Versions of Google Chrome prior to version 26.0.1410.57
  • Versions of Safari prior to version 6.0.4

Security bulletin names:

Security Advisories for Firefox - released April 2, 2013 Stable Channel Update - released April 11, 2013
APPLE-SA-2013-04-16-1 Safari 6.0.4 - April 16, 2013

Affected Software